Link eligibility check with a patient
curl --request POST \
--url https://api.anagram.care/api/auth/v1/patients/{patient_code}/eligibility/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"request_uid": "<string>"
}
'import requests
url = "https://api.anagram.care/api/auth/v1/patients/{patient_code}/eligibility/"
payload = { "request_uid": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({request_uid: '<string>'})
};
fetch('https://api.anagram.care/api/auth/v1/patients/{patient_code}/eligibility/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_uid": "<string>",
"provider_app_url": "<string>",
"results": [
{
"persons": [
{
"plan": {
"insurer_state": "<string>",
"items": [
{
"network_type": "<string>",
"is_authorization_required": true,
"limits": {
"quantity": 123,
"total_coverage": 123,
"quantity_remain": 123,
"quantity_reserved": 123,
"total_coverage_remain": 123
},
"subitem_limits": [
{
"code": "<string>",
"quantity": 123,
"total_coverage": 123
}
],
"code": "<string>",
"copay": 123,
"refresh_date": "2023-12-25"
}
],
"refresh_date": "2023-12-25",
"begin_date": "2023-12-25",
"end_date": "2023-12-25"
},
"first_name": "<string>",
"last_name": "<string>",
"dob": "2023-12-25",
"sex": "<string>",
"member_id": "<string>",
"ssn_last_four": "<string>",
"type": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"zipcode": "<string>",
"state": "<string>"
},
"email": "<string>",
"phone": "<string>",
"id": 123,
"full_name": "<string>",
"is_active": true
}
],
"insurer_code": "<string>",
"id": 123,
"plan_is_active": true,
"status": "<string>",
"plan_name": "<string>",
"plan_group": "<string>",
"plan_group_id": "<string>",
"plan_begin_date": "2023-12-25",
"plan_end_date": "2023-12-25",
"plan_refresh_date": "2023-12-25"
}
]
}{
"errors": {
"eligibility_code": {
"$": [
"Eligibility already connected"
]
}
}
}{
"detail": "eligibility not found"
}Authenticated API
Patient Eligibility Link
Link an eligibility request to a specific patient
POST
/
api
/
auth
/
v1
/
patients
/
{patient_code}
/
eligibility
/
Link eligibility check with a patient
This endpoint ties eligibility request to a specific patient. Use the
code returned from the Create Patient endpoint.
The result will contain a URL to the patient’s profile in the Anagram web app.Authorizations
Your API token prefaced with an "Api" prefix. Example value: "Api B3F4242424E3FDB4242424242A9C7642"
Path Parameters
Body
application/json
Eligibility check request UID
⌘I